{ pkgs, username, ... }: {
    /*services.greetd = {
	enable = true;
	settings = {
		default_session = {
			user = username;
			command = "$HOME/.wayland-session";
		};
	};
    };*/

    services.displayManager = {
	sessionPackages = [ pkgs.hyprland ];
    };

    environment.etc= {
        "greetd/background.png".source = ../../wallpapers/lucy_with_cat.png;
        "greetd/environments".text = ''
        hyprland
        fish
        '';
    };

    
	
	# Session File Hyprland ?
    programs.regreet = {
        enable = true;
      #  cageArgs = ["-s" "-m" "last" ];
        settings = ./regreet.toml;
    };
}
